Unable to delete sites

Hello,

When trying to delete a site typoed, I get a 500 error with the following in the logs on nutmeg with Tutor.

lms_1                        | 2022-07-08 18:39:11,515 ERROR 19 [root] [user None] [ip None] signals.py:22 - Uncaught exception from None
lms_1                        | Traceback (most recent call last):
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
lms_1                        |     return self.cursor.execute(query, args)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
lms_1                        |     res = self._query(query)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
lms_1                        |     db.query(q)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
lms_1                        |     _mysql.connection.query(self, query)
lms_1                        | MySQLdb._exceptions.OperationalError: (1054, "Unknown column 'third_party_auth_ltiproviderconfig.visible' in 'field list'")
lms_1                        |
lms_1                        | The above exception was the direct cause of the following exception:
lms_1                        |
lms_1                        | Traceback (most recent call last):
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py", line 47, in inner
lms_1                        |     response = get_response(request)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py", line 181, in _get_response
lms_1                        |     response = wrapped_callback(request, *callback_args, **callback_kwargs)
lms_1                        |   File "/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py", line 75, in inner
lms_1                        |     return func(*args, **kwds)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 616, in wrapper
lms_1                        |     return self.admin_site.admin_view(view)(*args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/cache.py", line 44, in _wrapped_view_func
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/sites.py", line 232, in inner
lms_1                        |     return view(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
lms_1                        |     return bound_method(*args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1851, in delete_view
lms_1                        |     return self._delete_view(request, object_id, extra_context)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1872, in _delete_view
lms_1                        |     deleted_objects, model_count, perms_needed, protected = self.get_deleted_objects([obj], request)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1846, in get_deleted_objects
lms_1                        |     return get_deleted_objects(objs, request, self.admin_site)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/utils.py", line 119, in get_deleted_objects
lms_1                        |     collector.collect(objs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/utils.py", line 182, in collect
lms_1                        |     return super().collect(objs, source_attr=source_attr, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/deletion.py", line 295, in collect
lms_1                        |     if sub_objs:
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 284, in __bool__
lms_1                        |     self._fetch_all()
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 1324, in _fetch_all
lms_1                        |     self._result_cache = list(self._iterable_class(self))
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 51, in __iter__
lms_1                        |     results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
lms_1                        |     cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute
lms_1                        |     return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
lms_1                        |     return executor(sql, params, many, context)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
lms_1                        |     raise dj_exc_value.with_traceback(traceback) from exc_value
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
lms_1                        |     return self.cursor.execute(query, args)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
lms_1                        |     res = self._query(query)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
lms_1                        |     db.query(q)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
lms_1                        |     _mysql.connection.query(self, query)
lms_1                        | django.db.utils.OperationalError: (1054, "Unknown column 'third_party_auth_ltiproviderconfig.visible' in 'field list'")
lms_1                        | 2022-07-08 18:39:11,607 ERROR 19 [django.request] [user 14] [ip 129.130.19.148] log.py:224 - Internal Server Error: /admin/sites/site/9/delete/
lms_1                        | Traceback (most recent call last):
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
lms_1                        |     return self.cursor.execute(query, args)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
lms_1                        |     res = self._query(query)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
lms_1                        |     db.query(q)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
lms_1                        |     _mysql.connection.query(self, query)
lms_1                        | MySQLdb._exceptions.OperationalError: (1054, "Unknown column 'third_party_auth_ltiproviderconfig.visible' in 'field list'")
lms_1                        |
lms_1                        | The above exception was the direct cause of the following exception:
lms_1                        |
lms_1                        | Traceback (most recent call last):
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py", line 47, in inner
lms_1                        |     response = get_response(request)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py", line 181, in _get_response
lms_1                        |     response = wrapped_callback(request, *callback_args, **callback_kwargs)
lms_1                        |   File "/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py", line 75, in inner
lms_1                        |     return func(*args, **kwds)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 616, in wrapper
lms_1                        |     return self.admin_site.admin_view(view)(*args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/views/decorators/cache.py", line 44, in _wrapped_view_func
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/sites.py", line 232, in inner
lms_1                        |     return view(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 43, in _wrapper
lms_1                        |     return bound_method(*args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
lms_1                        |     response = view_func(request, *args, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1851, in delete_view
lms_1                        |     return self._delete_view(request, object_id, extra_context)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1872, in _delete_view
lms_1                        |     deleted_objects, model_count, perms_needed, protected = self.get_deleted_objects([obj], request)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/options.py", line 1846, in get_deleted_objects
lms_1                        |     return get_deleted_objects(objs, request, self.admin_site)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/utils.py", line 119, in get_deleted_objects
lms_1                        |     collector.collect(objs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/contrib/admin/utils.py", line 182, in collect
lms_1                        |     return super().collect(objs, source_attr=source_attr, **kwargs)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/deletion.py", line 295, in collect
lms_1                        |     if sub_objs:
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 284, in __bool__
lms_1                        |     self._fetch_all()
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 1324, in _fetch_all
lms_1                        |     self._result_cache = list(self._iterable_class(self))
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/query.py", line 51, in __iter__
lms_1                        |     results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/models/sql/compiler.py", line 1175, in execute_sql
lms_1                        |     cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 66, in execute
lms_1                        |     return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 75, in _execute_with_wrappers
lms_1                        |     return executor(sql, params, many, context)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/utils.py", line 90, in __exit__
lms_1                        |     raise dj_exc_value.with_traceback(traceback) from exc_value
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/utils.py", line 84, in _execute
lms_1                        |     return self.cursor.execute(sql, params)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/django/db/backends/mysql/base.py", line 73, in execute
lms_1                        |     return self.cursor.execute(query, args)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
lms_1                        |     res = self._query(query)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
lms_1                        |     db.query(q)
lms_1                        |   File "/openedx/venv/lib/python3.8/site-packages/MySQLdb/connections.py", line 254, in query
lms_1                        |     _mysql.connection.query(self, query)
lms_1                        | django.db.utils.OperationalError: (1054, "Unknown column 'third_party_auth_ltiproviderconfig.visible' in 'field list'")
lms_1                        | [pid: 19|app: 0|req: 48/253] 172.18.0.5 () {54 vars in 5600 bytes} [Fri Jul  8 18:39:11 2022] GET /admin/sites/site/9/delete/ => generated 9999 bytes in 314 msecs (HTTP/1.1 500) 7 headers in 544 bytes (1 switches on core 0)
^CERROR: Aborting.

Any ideas on this?

Thanks!

any ideas?